## org.w3c.jigsaw.indexer
Class ConfigResourceIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.jigsaw.indexer.ConfigResourceIndexer

public class ConfigResourceIndexer
extends SampleResourceIndexer

This indexer allow to add a configuration file to overwrite the computed configuration for now, ./foo.html will have its configuration file in ./.meta/foo.html.meta but it can be extended to match other filename.

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_NOT_INDEXED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions, isWinPlatform`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ConfigResourceIndexer()`

Method Summary
`Resource` `createResource(ContainerResource container, RequestInterface request, java.io.File directory, java.lang.String name, java.util.Hashtable defs)` Try to create a resource for the given file.

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createFileResource, createVirtualResource, delete, delete, enumerateResourceIdentifiers, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedFileName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, lookup, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource

`acceptUnload, checkMultipleLock, collectFrames, getClone, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigResourceIndexer

    public ConfigResourceIndexer()

Method Detail

### createResource

    public Resource createResource(ContainerResource container,
                                   RequestInterface request,
                                   java.io.File directory,
                                   java.lang.String name,
                                   java.util.Hashtable defs)

  Try to create a resource for the given file. This method makes its best efforts to try to build a default resource out of a file.
  Overrides:
    createResource in class SampleResourceIndexer
  Parameters:
    `directory` - The directory the file is in.
    `name` - The name of the file.
    `defs` - Any default attribute values that should be provided to the created resource at initialization time.
  Returns:
    A Resource instance, or null if the given file can't be truned into a resource given our configuration database.